---
search:
  tags:
    - Tournaments
    - GET
seo:
  description: >-
    Lists tournaments the API key owner hosts, was entered into, watches, or
    that a… Reference for the GET /tournaments endpoint in the dartpilot Public
    API.
sidebar:
  label: List tournaments
  badge: GET
title: List tournaments
type: openapi-operation
---
Lists tournaments the API key owner hosts, was entered into, watches, or that a friend hosts, newest first. Use `visibility=public` to list public tournaments.

`GET /tournaments`

**Responses**

- `200` — A page of tournaments.
- `400` — Invalid request.
- `401` — Missing or invalid API key.
- `403` — The API key is missing a required scope or is the wrong type for this endpoint.
- `404` — Entity not found.
- `429` — Rate limit exceeded. See the \`Retry-After\` header.
- `500` — Internal server error.

Response example, 200:

```json
{
  "items": [
    {
      "id": "string",
      "name": "string",
      "gameType": "string",
      "format": "string",
      "status": "string",
      "visibility": "string",
      "mode": "string",
      "startsAt": "string",
      "startedAt": "string",
      "maxPlayers": -9007199254740991,
      "createdBy": {
        "userId": "string",
        "displayName": "string",
        "image": "string"
      },
      "createdAt": "string"
    }
  ],
  "paging": {
    "nextCursor": "string"
  }
}
```
